package com.upyuns.platform.rs.website.biz;

import com.github.wxiaoqi.security.common.util.Query;
import com.github.wxiaoqi.security.common.vo.PageDataVO;
import com.upyuns.platform.rs.website.dto.FileDataDTo;
import com.upyuns.platform.rs.website.dto.GainDataDTO;
import org.springframework.stereotype.Service;

import com.upyuns.platform.rs.website.entity.FileData;
import com.upyuns.platform.rs.website.mapper.FileDataMapper;
import com.github.wxiaoqi.security.common.biz.BaseBiz;

/**
 * 文件表
 *
 * @author zjw
 * @email jiaoruizhen@126.com
 * @date 2024-06-04 19:14:26
 */
@Service
public class FileDataBiz extends BaseBiz<FileDataMapper,FileData> {

    public Object selectLogicAlls(FileDataDTo fileDataDTo) {
        Query query = new Query(fileDataDTo);
        PageDataVO<FileData> pageDataVO = PageDataVO.pageInfo(query, () -> mapper.selectList(fileDataDTo));
//        List<IslandInfo> islandInfos = mapper.selectList(appUserInfoDto);
        return pageDataVO;

    }

}